# Merchant API (Private)

{% hint style="warning" %}
API Ratelimit :raised\_hand: : 10 calls/second
{% endhint %}

## Create Subwallet

<mark style="color:green;">`POST`</mark> `https://api.multichain.info/app/v1/subwallet/create`

Generate a new subwallet address for all network or a single network.

#### Query Parameters

| Name    | Type   | Description                                                                                                          |
| ------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| network | string | Specify the network type. E.g. "ETHEREUM" or "TRON" or leave empty to generate all subwallet address type available. |

#### Headers

| Name               | Type   | Description                                   |
| ------------------ | ------ | --------------------------------------------- |
| multichain-api-key | string | Input your Multichain's project API key here. |

{% tabs %}
{% tab title="200 If no network type specified, all available network type wallets will be generated see in response." %}

```
{
    "subwallets": {
        "ETHEREUM": "0x923eE1F30C9CAe2E86b2438Cc8a1910fFF28f1d8",
        "TRON": "TTyBHncVGXPRcKePpL5u8RD4YauhwdKmJP"
    }
}
```

{% endtab %}

{% tab title="400 Invalid or missing api key, or project had been disabled. Please enable project api key in user dashboard." %}

```
{
    "status": false,
    "message": "Invalid project api key or project had been disabled, please enable it in your dashboard settings."
}
```

{% endtab %}
{% endtabs %}

## Get Asset Info

<mark style="color:blue;">`GET`</mark> `https://api.multichain.info/app/v1/assets`

Get all user-specific asset info, inclusive of latest fees.

#### Query Parameters

| Name     | Type   | Description                                                        |
| -------- | ------ | ------------------------------------------------------------------ |
| assetUid | string | Get assetUid from Public API -> "**Get All Asset Info**" endpoint. |

#### Headers

| Name               | Type   | Description                                   |
| ------------------ | ------ | --------------------------------------------- |
| multichain-api-key | string | Input your Multichain's project API Key here. |

{% tabs %}
{% tab title="200 Note: "platformFeeFraction" is the percentage in fraction. E.g. 0.05 x 100 = 5% Platform Fee." %}

```
{
    "success": true,
    "assets": [
        {
            "uid": "ETHEREUM",
            "priceUsd": 2933.77,
            "name": "Ether",
            "symbol": "ETH",
            "type": "coin",
            "network": "ETHEREUM",
            "decimal": 18,
            "minimumDeposit": "0.000081899999664",
            "networkFee": "0.015",
            "platformFeeFraction": "0.005"
        },
        {
            "uid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "priceUsd": 0,
            "name": "USD Coin",
            "symbol": "USDC",
            "type": "ERC20",
            "network": "ETHEREUM",
            "contract": "0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "decimal": 8,
            "minimumDeposit": "1",
            "networkFee": "1",
            "platformFeeFraction": "0.01"
        },
        {
            "uid": "TRON.TRQVqT62DgzqDKusJLRqwaP7CinwvYXfGQ",
            "priceUsd": 1.01,
            "name": "Tether USD",
            "symbol": "USDT",
            "type": "TRC20",
            "network": "TRON",
            "contract": "TRQVqT62DgzqDKusJLRqwaP7CinwvYXfGQ",
            "decimal": 6,
            "minimumDeposit": "0",
            "networkFee": "1",
            "platformFeeFraction": "0.01"
        }
    ]
}
```

{% endtab %}

{% tab title="400 No API key specified in header." %}

```
{
    "success": false,
    "message": "Invalid merchant endpoint or no API Key found in header."
}
```

{% endtab %}
{% endtabs %}

## Get Deposit History

<mark style="color:blue;">`GET`</mark> `https://api.multichain.info/app/v1/subwallet/deposit/history`

Get address or all project deposit history by `assetUid`. Please be mindful when using this API due to its computational load.

#### Query Parameters

| Name     | Type   | Description                                                   |
| -------- | ------ | ------------------------------------------------------------- |
| limit    | string | Default/Max: 200                                              |
| page     | string | View paginated data                                           |
| address  | string | Enter subwallet address                                       |
| assetUid | String | Get uid from Public API -> "**Get All Asset Info**" endpoint. |

#### Headers

| Name               | Type   | Description                                   |
| ------------------ | ------ | --------------------------------------------- |
| multichain-api-key | string | Input your Multichain's project API Key here. |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "meta": {
        "transactionCount": 13,
        "limit": 5,
        "currPage": 1,
        "lastPage": 3,
        "nextPage": 2
    },
    "transactions": [
        {
            "isNotified": true,
            "assetUid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "status": "SUCCESS",
            "hash": "0xd54209b2d3d55410e82c9e04011d3248466f4d5232c92eb9e53b7d5033e2e1c1",
            "fromAddress": "0x418e1663462db5772e3f06cae0e67048482161ba",
            "toAddress": "0xa22f4ee8dc785344712177f5a9cffa9fc641df4b",
            "value": "100",
            "networkFee": "2",
            "platformFee": "1",
            "createdAt": 1623828485,
            "url": "https://ropsten.etherscan.io/tx/0xd54209b2d3d55410e82c9e04011d3248466f4d5232c92eb9e53b7d5033e2e1c1"
        },
        {
            "isNotified": false,
            "assetUid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "status": "SUCCESS",
            "hash": "0x8c83131cf409f7e3c80948325f46afc102b8446e07b4c503ef0c3e3bf82b53df",
            "fromAddress": "0x418e1663462db5772e3f06cae0e67048482161ba",
            "toAddress": "0xd395a040a8e021fe5a6045e0283086d00f34bcd8",
            "value": "10",
            "networkFee": "2.3",
            "platformFee": "0.1",
            "createdAt": 1622031091,
            "url": "https://ropsten.etherscan.io/tx/0x8c83131cf409f7e3c80948325f46afc102b8446e07b4c503ef0c3e3bf82b53df"
        },
        {
            "isNotified": false,
            "assetUid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "status": "SUCCESS",
            "hash": "0xea74ce566bd43f8e1977a1b1897c58e828603aaa0f01bfef7f274d3a29af0507",
            "fromAddress": "0x418e1663462db5772e3f06cae0e67048482161ba",
            "toAddress": "0x0e086c68001d2cfce18b05e01193411ff29acb78",
            "value": "0.99",
            "networkFee": "1.15",
            "platformFee": "0.0099",
            "createdAt": 1621876524,
            "url": "https://ropsten.etherscan.io/tx/0xea74ce566bd43f8e1977a1b1897c58e828603aaa0f01bfef7f274d3a29af0507"
        },
        {
            "isNotified": false,
            "assetUid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "status": "SUCCESS",
            "hash": "0x0a9f312b5dff6419f0a66c55bd568f3c2e886b7099a756ce031c47293eaa3b43",
            "fromAddress": "0x418e1663462db5772e3f06cae0e67048482161ba",
            "toAddress": "0xd395a040a8e021fe5a6045e0283086d00f34bcd8",
            "value": "5.55",
            "networkFee": "2.3",
            "platformFee": "0.0555",
            "createdAt": 1621876524,
            "url": "https://ropsten.etherscan.io/tx/0x0a9f312b5dff6419f0a66c55bd568f3c2e886b7099a756ce031c47293eaa3b43"
        },
        {
            "isNotified": false,
            "assetUid": "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a",
            "status": "SUCCESS",
            "hash": "0x3a691a9d7af738b9ec71b275487596620e47e7f6285d3e53c32c769af59e4aae",
            "fromAddress": "0x418e1663462db5772e3f06cae0e67048482161ba",
            "toAddress": "0x0e086c68001d2cfce18b05e01193411ff29acb78",
            "value": "1",
            "networkFee": "2.3",
            "platformFee": "0.01",
            "createdAt": 1621876524,
            "url": "https://ropsten.etherscan.io/tx/0x3a691a9d7af738b9ec71b275487596620e47e7f6285d3e53c32c769af59e4aae"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Note: "**uid**" should be specified as "**assetUid**" query param in "Get Deposit History". Example of a assetUid (uid):&#x20;

> "ETHEREUM.0xf6ff95d53e08c9660dc7820fd5a775484f77183a"

:zap:Get assetUid (uid) from calling this public endpoint [here](https://docs.multichain.info/start/api/public-api#get-asset-list) .
{% endhint %}

>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multichain.info/start/api/private-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
